Package org.apache.tapestry5.grid

## Class GridConstants

- java.lang.Object
- - org.apache.tapestry5.grid.GridConstants

-     public class GridConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COLUMNS_ASCENDING` | Deprecated. Deprecated in 5.4 with no replacement.
    `static String` | `COLUMNS_DESCENDING` | Deprecated. Deprecated in 5.4 with no replacement.
    `static String` | `COLUMNS_SORTABLE` | Deprecated. Deprecated in 5.4 with no replacement.
    `static String` | `EMPTY_BLOCK` | Block name to display in place of an empty `Grid`
    `static String` | `FIRST_CLASS` | Deprecated. Deprecated in 5.4 with no replacement.
    `static String` | `LAST_CLASS` | Deprecated. Deprecated in 5.4 with no replacement.
    `static int` | `PAGER_PAGE_RANGE` | Default number of page to display before and after the current page in the `GridPager`
    `static String` | `PAGER_POSITION` | Default pager position
    `static int` | `ROWS_PER_PAGE` | Number of rows to diplay within each `Grid` page.
    `static String` | `SORT_ASCENDING_CLASS` | Deprecated. Deprecated in 5.4 with no replacement.
    `static String` | `SORT_DESCENDING_CLASS` | Deprecated. Deprecated in 5.4 with no replacement.
    `static String` | `TABLE_CLASS` | CSS class for the <table> element.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GridConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIRST_CLASS

          public static final String FIRST_CLASS

      Deprecated.
      Deprecated in 5.4 with no replacement.
      CSS class for the first column or the first row. May be applied to a <th> (in the <thead>) or a <tr> (in the <tbody>).
      See Also:
        Constant Field Values

    - #### LAST_CLASS

          public static final String LAST_CLASS

      Deprecated.
      Deprecated in 5.4 with no replacement.
      CSS class for the last column or the last row. May be applied to a <th> (in the <thead>) or a <tr> (in the <tbody>).
      See Also:
        Constant Field Values

    - #### SORT_ASCENDING_CLASS

          public static final String SORT_ASCENDING_CLASS

      Deprecated.
      Deprecated in 5.4 with no replacement.
      Marks the column that is currently sorted for sort ascending. May be applied to a <th> (in the <thead> or a <td> in the <tbody>).
      See Also:
        Constant Field Values

    - #### SORT_DESCENDING_CLASS

          public static final String SORT_DESCENDING_CLASS

      Deprecated.
      Deprecated in 5.4 with no replacement.
      Marks the column that is currently sorted for sort descending. May be applied to a <th> (in the <thead> or a <td> in the <tbody>).
      See Also:
        Constant Field Values

    - #### ROWS_PER_PAGE

          public static final int ROWS_PER_PAGE

      Number of rows to diplay within each `Grid` page.
      See Also:
        Constant Field Values

    - #### TABLE_CLASS

          public static final String TABLE_CLASS

      CSS class for the <table> element. Change in 5.4 from "t-data-grid" due to the introduction of Twitter Bootstrap.
      See Also:
        Constant Field Values

    - #### PAGER_POSITION

          public static final String PAGER_POSITION

      Default pager position
      See Also:
        Constant Field Values

    - #### EMPTY_BLOCK

          public static final String EMPTY_BLOCK

      Block name to display in place of an empty `Grid`
      See Also:
        Constant Field Values

    - #### PAGER_PAGE_RANGE

          public static final int PAGER_PAGE_RANGE

      Default number of page to display before and after the current page in the `GridPager`
      See Also:
        Constant Field Values

    - #### COLUMNS_ASCENDING

          public static final String COLUMNS_ASCENDING

      Deprecated.
      Deprecated in 5.4 with no replacement.
      Default `Asset` for ascending columns sort
      See Also:
        Constant Field Values

    - #### COLUMNS_DESCENDING

          public static final String COLUMNS_DESCENDING

      Deprecated.
      Deprecated in 5.4 with no replacement.
      Default `Asset` for ascending columns sort
      See Also:
        Constant Field Values

    - #### COLUMNS_SORTABLE

          public static final String COLUMNS_SORTABLE

      Deprecated.
      Deprecated in 5.4 with no replacement.
      Default `Asset` for sortable columns
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GridConstants

          public GridConstants()